#{extends 'border.html'/}
<div class="container">
#{form @masterdata.SumberDanaCtr.createSubmit(), method:'POST', class:'form-horizontal'}

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.SumberDanaCtr.index()}">&{'sumber_dana.label'}</a></li>
				<li class="active">&{'tambah.label'} &{'sumber_dana.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton /}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
					#{alert /}
    				<div class="toolbar">
    					<a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
    					<a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
    				</div>
                    <table class="table table-condensed">
			            <thead>
			            	<tr>
			            		<th width="15">&{'nomor.label'}</th>
			            		<th>&{'sumber_dana.label'}</th>
			            	</tr>
			            </thead>
			            <tbody id="inputForm">
						#{if sumberDanaList != null}
							#{list items:sumberDanaList, as:'sumberDana'}
								<tr>
									<td>
										<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
									</td>
									<td class="#{errorClass 'sumberDana_' + sumberDana_index/}">
										<input class="form-control" name="nama_sumber_dana_arr" value="${sumberDana}"/>
                                        <span class="help-block">#{error 'sumberDana_' + sumberDana_index /}</span>
									</td>
								</tr>
							#{/list}
						#{/if}
						#{else}
							<tr>
								<td>
									<a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
								</td>
								<td>
									<input class="form-control" name="nama_sumber_dana_arr"/>
								</td>
							</tr>
						#{/else}
			            </tbody>
			        </table>
    			</div>
    		</div>
    	</div>
    </div>
    
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

		$("#addInput").on("click",function(){
			var str = "<tr><td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td><td><input class='form-control' name='nama_sumber_dana_arr'/></td></tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});


    });
</script>
#{/set}